Skip to navigation

Get templates used in envelope

View as Markdown

This returns a list of the server-side templates, their name and ID, used in an envelope.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Query parameters

includestringOptional

Filters the results by template type. Valid values:

  • applied: Returns the templates applied to an envelope.
  • matching: Returns the matching templates for an envelope.

Note: The matching templates that are returned do not include templates shared with me only via shared folders. If the template has been shared to the user individually, or if it has been shared to a member group to which the user belongs, then it will show up in matching

The default value is applied.

Response

Successful response.
templateslist of objectsOptional

An array of templateSummary objects that contain information about templates.

Errors

400
Bad Request Error